toolzerhub API Docs

List TikTok Top Ad keyframes

Returns per-second analysis and highlighted moments for the video of material_id. metric selects CTR, CVR, clicks, conversions, or viewer retention.

1 credit / requestBilled only on success
GET
/v1/tiktok-ads/top-ads/keyframes

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

material_id*string

Top Ads material ID from the Top Ads List or Spotlight response.

Match^\d+$
Lengthlength <= 40
metric?string

Video-time metric: CTR, CVR, clicks, conversions, or viewer retention.

Default"retain_ctr"

Value in

  • "retain_ctr"
  • "retain_cvr"
  • "click_cnt"
  • "convert_cnt"
  • "play_retain_cnt"
lang?string

Creative Center display language. Defaults to English.

Default"en"

Value in

  • "en"
  • "ja"
  • "zh"
  • "vi"
  • "th"
  • "pt"
  • "id"
curl -X GET "https://example.com/v1/tiktok-ads/top-ads/keyframes?material_id=7631262985109602311" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  }}